<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: Database</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: Database</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>Database<span class="signature">()</span><span class="type-signature"></span></h2>
        
            <div class="class-description">Configures the database according to the provided configuration. </br>Imports the models and associations.</div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="Database"><span class="type-signature"></span>new Database<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    
    <dt class="tag-author">Author:</dt>
    <dd class="tag-author">
        <ul>
            <li>Farooq Ilyas</li>
        </ul>
    </dd>
    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_index.js.html">models/index.js</a>, <a href="models_index.js.html#line14">line 14</a>
    </li></ul></dd>
    

    

    

    
</dl>


















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="configureUserDatabase"><span class="type-signature"></span>configureUserDatabase<span class="signature">(dbConfig)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Creates the database connection
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>dbConfig</code></td>
            

            <td class="type">
            
                
<span class="param-type">DatabaseConfig</span>


            
            </td>

            

            

            <td class="description last">database configuration</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_index.js.html">models/index.js</a>, <a href="models_index.js.html#line38">line 38</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="getModels"><span class="type-signature"></span>getModels<span class="signature">()</span><span class="type-signature"> &rarr; {SequelizeModels}</span></h4>
    

    



<div class="description">
    Returns the models
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_index.js.html">models/index.js</a>, <a href="models_index.js.html#line63">line 63</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    models
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">SequelizeModels</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="getSequelize"><span class="type-signature"></span>getSequelize<span class="signature">()</span><span class="type-signature"> &rarr; {SequelizeStatic.Sequelize}</span></h4>
    

    



<div class="description">
    Returns the database connection
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_index.js.html">models/index.js</a>, <a href="models_index.js.html#line70">line 70</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    database connection
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">SequelizeStatic.Sequelize</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="importUserModels"><span class="type-signature"></span>importUserModels<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Imports the models and their associations andassociates them with the connection
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_index.js.html">models/index.js</a>, <a href="models_index.js.html#line46">line 46</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="setLogging"><span class="type-signature"></span>setLogging<span class="signature">(dbConfig)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Sets the level of logging for the database as per the configuration.
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>dbConfig</code></td>
            

            <td class="type">
            
                
<span class="param-type">DatabaseConfig</span>


            
            </td>

            

            

            <td class="description last">database configuration</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_index.js.html">models/index.js</a>, <a href="models_index.js.html#line29">line 29</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="BaseRouter.html">BaseRouter</a></li><li><a href="Configs.html">Configs</a></li><li><a href="CustomErrorHandler.html">CustomErrorHandler</a></li><li><a href="Database.html">Database</a></li><li><a href="DBConfig.html">DBConfig</a></li><li><a href="LoggingConfiguration.html">LoggingConfiguration</a></li><li><a href="Middleware.html">Middleware</a></li><li><a href="Server.html">Server</a></li><li><a href="ServerConfiguration.html">ServerConfiguration</a></li><li><a href="UserController.html">UserController</a></li><li><a href="UserModel.html">UserModel</a></li><li><a href="UserRouter.html">UserRouter</a></li><li><a href="UserService.html">UserService</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Mon Jul 02 2018 23:16:09 GMT+0100 (GMT Daylight Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>